package model

type PayChannelMaster struct {
	Id             int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	ChannelId      int    `json:"channel_id" xorm:"not null default 1 comment('支付通道id') INT(11)"`
	Identifier     string `json:"identifier" xorm:"not null comment('场景标识符') VARCHAR(255)"`
	MasterId       int    `json:"master_id" xorm:"not null default 1 comment('站长id') INT(11)"`
	MasterNickname string `json:"master_nickname" xorm:"not null comment('站长名称') VARCHAR(255)"`
	ThirdPartyId   string `json:"third_party_id" xorm:"not null comment('第三方聚合支付的渠道id') VARCHAR(50)"`
	MasterAppName  string `json:"master_app_name" xorm:"not null comment('站长应用名称') VARCHAR(50)"`
	AppId          int    `json:"app_id" xorm:"not null default 1 comment('应用id(mid)') INT(20)"`
}
